# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KMenuBar Class Reference

KDE Style-able menubar. More...

`#include <kmenubar.h>`

Inheritance diagram for KMenuBar:

[legend]
Collaboration diagram for KMenuBar:

[legend]
List of all members.

## Public Member Functions

| KMenuBar (QWidget *parent=0, const char *name=0)
void | setTopLevelMenu (bool top_level=true)
bool | isTopLevelMenu () const
virtual void | setGeometry (const QRect &r)
virtual void | setGeometry (int x, int y, int w, int h)
virtual void | resize (int w, int h)
void | resize (const QSize &s)
virtual void | show ()
virtual void | setFrameStyle (int)
virtual void | setLineWidth (int)
virtual void | setMargin (int)
virtual QSize | sizeHint () const

## Protected Slots

void | slotReadConfig ()

## Protected Member Functions

virtual void | showEvent (QShowEvent *)
virtual void | resizeEvent (QResizeEvent *)
virtual bool | eventFilter (QObject *, QEvent *)
virtual bool | x11Event (XEvent *)
virtual void | closeEvent (QCloseEvent *)
virtual void | drawContents (QPainter *)
virtual void | virtual_hook (int id, void *data)

## Detailed Description

KDE Style-able menubar.

This is required since QMenuBar is currently not handled by QStyle.

Author:
  Daniel "Mosfet" Duley.

Version:
  Id
    kmenubar.h 392834 2005-02-24 15:55:43Z lunakl

Definition at line 42 of file kmenubar.h.

## Member Function Documentation

void KMenuBar::setTopLevelMenu | ( | bool | top_level = `true` | ) |

This controls whether or not this menubar will be a top-level bar similar to the way Macintosh handles menubars.

This overrides any global config settings.

Keep in mind that it is probably a really bad idea to use this unless you really know what you're doing. A feature like a top-level menubar is one that should really be shared by all applications. If your app is the only one with a top-level bar, then things might look very... odd.

This is included only for those people that `do` know that they need to use it.

Parameters:

  | top_level | If set to true, then this menubar will be a top-level menu

Definition at line 156 of file kmenubar.cpp.

bool KMenuBar::isTopLevelMenu | ( |  | ) | const

Is our menubar a top-level (Macintosh style) menubar?

Returns:
  True if it is top-level.

Definition at line 223 of file kmenubar.cpp.

The documentation for this class was generated from the following files:

- kmenubar.h
- kmenubar.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:21:42 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003